using UnityEngine;
using System.Collections;

public class CamStateThreeD : FiniteState
{
    CamControl self;
    float transitionSpeed = 20;
    Vector3 posOffset3D = new Vector3(-16.6f, 3.25f, -2.8f);
    Vector3 rotOffset3D = new Vector3(13.53f, 81.91f, 0);

    public override void Init()
    {
        self = subject as CamControl;

        self.cam.orthographic = false;
    }
    public override void Update()
    {
        float transitionDelta = transitionSpeed * Time.deltaTime;
        self.posOffset = Vector3.MoveTowards(self.posOffset, posOffset3D, transitionDelta);
        self.rotOffset = Vector3.MoveTowards(self.rotOffset, rotOffset3D, transitionDelta*3);
    }
}
